<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$cot_id=$_POST["cot_id"];
$cot_estado=$_POST["cot_estado"];

$sql=mysqli_query($con,"UPDATE cotizacion Set cot_estado='$cot_estado' Where cot_id='$cot_id' ") or die(mysqli_error($con)); 

 $sqlt=mysqli_query($con,"SELECT * FROM cotizacion where cot_id='$cot_id' and cot_tipo='RESERVA' and empresa='$empresa' ")or die(mysqli_error($con));
  $regt=mysqli_fetch_array($sqlt);
    $cot_n_cotizacion=$regt['cot_n_cotizacion'];
    $cot_estado=$regt['cot_estado'];
    $cot_telefono=$regt['cot_telefono'];
    $cot_turno_reserva=$regt['cot_turno_reserva'];
    $cot_fecha_reserva=$regt['cot_fecha_reserva'];
    $vendedor=$regt['vendedor'];

    $sqlt1=mysqli_query($con,"SELECT * FROM zhop_reserva_usuario where res_usu_id='$cot_turno_reserva' and empresa='$empresa' ")or die(mysqli_error($con));
  $regt1=mysqli_fetch_array($sqlt1);
    $horas=$regt1['horas'];
   

?> 

<div id="reser_wp" class="modal fade" tabindex="-1" role="dialog" style="z-index: 20000;">
    <div class="modal-dialog">
        <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">&nbsp;</h4>
            </div>
                <div class="modal-body">
                    <div >
                       

                    <a onclick="abrirWhatsApp('<?php echo $cot_telefono; ?>', 'Hola! tu Reserva N° <?php echo $cot_n_cotizacion?> fue <?php echo strtoupper($cot_estado) ?>, para el dia <?php echo strtoupper($cot_fecha_reserva) ?> con nuestro usuario <?php 
                        $usu2=mysqli_query($con,"SELECT * FROM usuario where usu_id='$vendedor' and sucursal='$sucursal' and empresa_emp_id='$empresa' ")or die(mysqli_error($con));
                          $usu=mysqli_fetch_array($usu2);
                            echo $usu_nombre=$usu['usu_nombre']; 
                        ?> en el horario <?php echo strtoupper($horas) ?> con los siguientes servicios:<?php 
                           $sqlt2=mysqli_query($con,"SELECT * FROM cotizacion_detalle where cotizacion_cot_id='$cot_id' and empresa='$empresa' ")or die(mysqli_error($con));
                          while($regt2=mysqli_fetch_array($sqlt2)){
                            echo $cotd_nombre=$regt2['cotd_nombre']; ?> - <?php
                            }
                        ?>Mensaje generado por <?php echo $emp_nombre ?>')">
                        <div class="alert alert-success alert-dismissable">ENVIAR ACTUALIZACIÓN DEL PEDIDO  
                            <img style="width: 20PX;" src="./img/wp.png">
                        </div> 
                    </a>

                    </div>
                </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div>
<script >
$('#estado_reserva').modal('hide');
$('body').removeClass('modal-open');
$('.modal-backdrop').remove();

$(document).ready(function()
{
    $("#reser_wp").modal("show");
});

function abrirWhatsApp(clie_telefono, mensaje) {
        // Construir la URL para WhatsApp Web con el teléfono y el mensaje
        var url = `https://web.whatsapp.com/send?phone=${clie_telefono}&text=${encodeURIComponent(mensaje)}`;
        
        // Abrir la ventana emergente con las dimensiones especificadas
        var ventana = window.open(url, 'popup', 'width=800,height=600');
        
        // Verificar si la ventana emergente se pudo abrir
        if (!ventana) {
            alert("Habilita las ventanas emergentes en tu navegador para enviar mensajes automáticamente.");
            return;
        }

        // Esperar 3 segundos para asegurarse de que la página de WhatsApp esté completamente cargada
        setTimeout(function() {
            // Verificar si la ventana está abierta y la podemos cerrar
            if (!ventana.closed) {
                ventana.close();
            }
        }, 5000);
    $(document).ready(function()
{
    $("#reser_wp").modal("hide");
});}

</script>
?>